MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001146FreeCADBugpublic2013-06-04 17:442013-07-01 11:35
Reporterstefanhgm 
Assigned To 
PrioritynormalSeverityblockReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version0.13 
Target VersionFixed in Version0.14 
Summary0001146: Unable to export file to any file format
DescriptionHey everybody!

I just started to work with freecad. After starting a first small project I tried to export it to different formats (svg,png...), but it did not work. So I started freecad from Terminal an I got the same always repeating error and the program is freezed.

Coin warning in cc_glglue_instance(): Error when setting up the GL context. This can happen if there is no current context, or if the context has been set up incorrectly.

Usually this is a issue of opengl, but I did not find anything helpful in the web.

I attached my project.

Cheers!
TagsNo tags attached.
Attached Files? file icon box.fcstd [^] (6,853 bytes) 2013-06-04 17:44

- Relationships

-  Notes
(0003189)
wmayer (administrator)
2013-06-04 18:46

You cannot simply export any kind of objects to SVG or PNG. This works only for certain object types.

For PNG you should use Tools > Save picture. For SVG you should either use the Drawing or Draft module or use the export filter "3D view" of the file dialog. The latter exports the whole scene of the 3d view into the SVG file.
(0003190)
stefanhgm (reporter)
2013-06-04 19:53

The first one ends with same error. When I use the "3D View" nothing happens at all, even when I select several elements.
(0003191)
normandc (developer)
2013-06-05 02:35

Info on operating system and FreeCAD version would be useful (if not mandatory). Go to Help --> About FreeCAD, there's a "copy to clipboard" button. Paste here.
(0003247)
Jriegel (administrator)
2013-06-26 12:29

Most likely again a 3D driver issue....
(0003305)
wmayer (administrator)
2013-07-01 11:35

This happened when not writing the file extension explicitly. This is solved now.

- Issue History
Date Modified Username Field Change
2013-06-04 17:44 stefanhgm New Issue
2013-06-04 17:44 stefanhgm File Added: box.fcstd
2013-06-04 18:46 wmayer Note Added: 0003189
2013-06-04 19:53 stefanhgm Note Added: 0003190
2013-06-05 02:35 normandc Note Added: 0003191
2013-06-26 12:29 Jriegel Note Added: 0003247
2013-07-01 11:35 wmayer Note Added: 0003305
2013-07-01 11:35 wmayer Status new => closed
2013-07-01 11:35 wmayer Resolution open => fixed
2013-07-01 11:35 wmayer Fixed in Version => 0.14


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker